Subject: powerpoppers.com online form submission

From: [email-masked]
Date: Tue, 30 Aug 2016 20:13:06 -0000

Submitted by: Jim Bruce
Submitter's email: [email-masked]

Twice I have contacted my credit card company (VISA) prior to ordering & received assurance they would honor your payment request.  Twice you have sent me a notice card was declined by them.  I spoke with them a 3rd time this morning  and they said they are indeed honoring payment.  The problem is with you!  (I'm tired of re-creating the order each time for the +/- 15 various bottles being ordered.)  Should the order be placed a THIRD time, or should purchase be made elsewhere?  Bank of America Visa says charge will be honored.

IP = 66.223.174.60